// https://getflywheel.com/layout/sticky-back-to-top-button-tutorial/
.top-link {
  transition: all 0.25s ease-in-out;
  position: fixed;
  bottom: 0;
  right: 0;
  display: inline-flex;
  cursor: pointer;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  padding: 0.25em;
  background-color: #f8f8f8;
  width: 3rem;
  height: 3rem;
  margin: 0 1rem 1rem 0;

  @media (min-width: 64rem) {
    width: 5rem;
    height: 5rem;
    margin: 0 3rem 3rem 0;
  }

  &.show {
    visibility: visible;
    opacity: 1;
  }

  &.hide {
    visibility: hidden;
    opacity: 0;
  }

  svg {
    fill: #000;
    width: 1.5rem;
    height: 0.75rem;
  }

  &:hover {
    background-color: #e8e8e8;

    svg {
      fill: #000000;
    }
  }
}

// Text meant only for screen readers.
.screen-reader-text {
  position: absolute;
  clip-path: inset(50%);
  margin: -1px;
  border: 0;
  padding: 0;
  width: 1px;
  height: 1px;
  overflow: hidden;
  word-wrap: normal !important;
  clip: rect(1px, 1px, 1px, 1px);

  &:focus {
    display: block;
    top: 5px;
    left: 5px;
    z-index: 100000; // Above WP toolbar
    clip-path: none;
    background-color: #eee;
    padding: 15px 23px 14px;
    width: auto;
    height: auto;
    text-decoration: none;
    line-height: normal;
    color: #444;
    font-size: 1em;
    clip: auto !important;
  }
}
